package com.hp.user.service.controller;

import com.hp.user.client.service.CustomerCompanyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "公司API接口")
@RestController
@RequestMapping("/company")
public class CompanyController {
    @Autowired
    private CustomerCompanyService customerCompanyService;
    /**
     * 添加企业
     * 需要企业信息
     */
    @ApiOperation(value="新增企业")
    @PostMapping("/addCompany")
    public void addCompany(){

    }

    /**
     * 更新企业信息
     * 需要企业信息
     */
    @RequestMapping("/updateCompany")
    public void updateCompany(){

    }

    /**
     * 根据企业Id删除企业
     * @param companyId 企业Id
     */
    @RequestMapping("/deleteCompanyByCompanyId")
    public void deleteCompanyByCompanyId(String companyId){

    }

    /**
     * 根据企业Id查询某企业全部信息
     * @param companyId 企业Id
     */
    @RequestMapping("/queryCompanyByCompanyId")
    public void queryCompanyByCompanyId(String companyId){

    }

    /**
     * 查询所有企业基本信息
     */
    @RequestMapping("/queryAllCompany")
    public void queryAllCompany(){

    }

    /**
     * 查询某企业的所有用户
     * @param companyId 企业Id
     */
    @RequestMapping("/queryAllUserOfCompany")
    public void queryAllUserOfCompany(String companyId){

    }

    /**
     * 关联某企业与某用户
     * @param companyId 企业Id
     * @param userId 用户Id
     */
    @RequestMapping("/associateCompanyAndUser")
    public void associateCompanyAndUser(String companyId,String userId){

    }

    /**
     * 解除某企业与某用户的关联
     * @param companyId 企业Id
     * @param userId 用户Id
     */
    @RequestMapping("/dissociateCompanyAndUser")
    public void dissociateCompanyAndUser(String companyId,String userId){

    }
}
